#!/bin/sh

# send all output to stderr
exec 1>&2

set -x

echo "Starting at `date`"
start=`date "+%s"`

cmsRun "$@"

cmsRun_rc=$?

echo "cmsRun exited with status $cmsRun_rc"

ls -ltr

# discard all output
rm -f *.root

echo "Finished at `date`"
finish=`date "+%s"`
echo Total runtime: $(($finish - $start)) seconds

if [ "$cmsRun_rc" != "0" ]; then
  echo "FAILURE"
  exit 1
fi

echo "SUCCESS"
